#include <cstdio>
#include <cstring>
using namespace std;
char buf1[1010],buf2[1010];
int num[1010];
int main()
{
    int T,n;
    scanf("%d",&T);
    for(int t=1; t<=T; t++)
    {
        memset(num,0,sizeof(num));
        scanf("%s %s",buf1,buf2);
        for(int i=0,j=strlen(buf1)-1; j>=0; i++,j--)
            num[i]+=buf1[j]-'0';
        for(int i=0,j=strlen(buf2)-1; j>=0; i++,j--)
            num[i]+=buf2[j]-'0';
        for(int i=0;i<1005;i++)
            num[i+1]+=num[i]/10,num[i]%=10;
        int r=1005;
        while(r&&num[r]==0)r--;
        printf("Case %d:\n%s + %s = ",t,buf1,buf2);
        for(int i=r;i>=0;i--) putchar('0'+num[i]);
        puts(t==T?"":"\n");
    }
    return 0;
}
